{
  "codes": [
    {
      "text_code": "NS",
      "num_code": 1,
      "name_vi": "Rừng nguyên sinh núi đất",
      "name_en": "Rich primary evergreen broadleaved forest on soil mountain",
      "hex": "#00D000",
      "tt33_codes": [
        "TXG1",
        "TXB1",
        "RLG1",
        "RLB1",
        "LKG1",
        "LKB1",
        "RKG1",
        "RKB1"
      ]
    },
    {
      "text_code": "NSD",
      "num_code": 2,
      "name_vi": "Rừng nguyên sinh núi đá",
      "name_en": "Rich primary evergreen broadleaved forest on rocky mountain",
      "hex": "#00D068",
      "tt33_codes": [
        "TXDG1",
        "TXDB1"
      ]
    },
    {
      "text_code": "NSN",
      "num_code": 3,
      "name_vi": "Rừng nguyên sinh ngập nước",
      "name_en": "Primary forest on saline wetland",
      "hex": "#7070FF",
      "tt33_codes": [
        "RNM1",
        "RNP1",
        "RNN1"
      ]
    },
    {
      "text_code": "TXG",
      "num_code": 4,
      "name_vi": "Rừng lá rộng thường xanh và nửa rụng lá giàu",
      "name_en": "Rich secondary evergreen broadleaved forest on soil mountain",
      "hex": "#00D000",
      "tt33_codes": [
        "TXG",
        "NRLG"
      ]
    },
    {
      "text_code": "TXB",
      "num_code": 5,
      "name_vi": "Rừng lá rộng thường xanh và nửa rụng lá trung bình",
      "name_en": "Medium secondary evergreen broadleaved forest on soil mountain",
      "hex": "#00FF00",
      "tt33_codes": [
        "TXB",
        "NRLB"
      ]
    },
    {
      "text_code": "TXN",
      "num_code": 6,
      "name_vi": "Rừng lá rộng thường xanh và nửa rụng lá nghèo",
      "name_en": "Poor secondary evergreen broadleaved forest on soil mountain",
      "hex": "#90FF90",
      "tt33_codes": [
        "TXN",
        "NRLN"
      ]
    },
    {
      "text_code": "TXK",
      "num_code": 7,
      "name_vi": "Rừng lá rộng thường xanh và nửa rụng lá nghèo kiệt",
      "name_en": "Very poor secondary evergreen broadleaved forest on soil mountain",
      "hex": "#B0FFB0",
      "tt33_codes": [
        "TXK",
        "NRLK"
      ]
    },
    {
      "text_code": "TXP",
      "num_code": 8,
      "name_vi": "Rừng lá rộng thường xanh và nửa rụng lá chưa có trữ lượng",
      "name_en": "Rehabilitation secondary evergreen broadleaved forest on soil mountain",
      "hex": "#B3FF40",
      "tt33_codes": [
        "TXP",
        "NRLP"
      ]
    },
    {
      "text_code": "RLG",
      "num_code": 9,
      "name_vi": "Rừng lá rộng rụng lá giàu",
      "name_en": "Rich secondary deciduous forest on soil mountain",
      "hex": "#A0A000",
      "tt33_codes": [
        "RLG"
      ]
    },
    {
      "text_code": "RLB",
      "num_code": 10,
      "name_vi": "Rừng lá rộng rụng lá trung bình",
      "name_en": "Medium secondary deciduous forest on soil mountain",
      "hex": "#C0C000",
      "tt33_codes": [
        "RLB"
      ]
    },
    {
      "text_code": "RLN",
      "num_code": 11,
      "name_vi": "Rừng lá rộng rụng lá nghèo",
      "name_en": "Poor secondary deciduous forest on soil mountain",
      "hex": "#E0E000",
      "tt33_codes": [
        "RLN"
      ]
    },
    {
      "text_code": "RLK",
      "num_code": 12,
      "name_vi": "Rừng lá rộng rụng lá nghèo kiệt",
      "name_en": "Very poor secondary deciduous forest on soil mountain",
      "hex": "#F0F000",
      "tt33_codes": [
        "RLK"
      ]
    },
    {
      "text_code": "RLP",
      "num_code": 13,
      "name_vi": "Rừng lá rộng rụng lá chưa có trữ lượng",
      "name_en": "Rehabilitation secondary deciduous forest on soil mountain",
      "hex": "#EBFF00",
      "tt33_codes": [
        "RLP"
      ]
    },
    {
      "text_code": "LKG",
      "num_code": 14,
      "name_vi": "Rừng lá kim giàu",
      "name_en": "Rich secondary coniferous forest on soil mountain",
      "hex": "#FF505A",
      "tt33_codes": [
        "LKG"
      ]
    },
    {
      "text_code": "LKB",
      "num_code": 15,
      "name_vi": "Rừng lá kim trung bình",
      "name_en": "Medium secondary coniferous forest on soil mountain",
      "hex": "#FF6982",
      "tt33_codes": [
        "LKB"
      ]
    },
    {
      "text_code": "LKN",
      "num_code": 16,
      "name_vi": "Rừng lá kim nghèo",
      "name_en": "Poor secondary coniferous forest on soil mountain",
      "hex": "#FF8690",
      "tt33_codes": [
        "LKN"
      ]
    },
    {
      "text_code": "LKK",
      "num_code": 17,
      "name_vi": "Rừng lá kim nghèo kiệt",
      "name_en": "Very poor secondary coniferous forest on soil mountain",
      "hex": "#FF9A90",
      "tt33_codes": [
        "LKK"
      ]
    },
    {
      "text_code": "LKP",
      "num_code": 18,
      "name_vi": "Rừng lá kim chưa có trữ lượng",
      "name_en": "Rehabilitation secondary coniferous forest on soil mountain",
      "hex": "#FFB0B0",
      "tt33_codes": [
        "LKP"
      ]
    },
    {
      "text_code": "RKG",
      "num_code": 19,
      "name_vi": "Rừng hỗn giao cây lá rộng và cây lá kim giàu",
      "name_en": "Rich secondary mixed broadleaved and coniferous forest on soil mountain",
      "hex": "#FFA0D0",
      "tt33_codes": [
        "RKG"
      ]
    },
    {
      "text_code": "RKB",
      "num_code": 20,
      "name_vi": "Rừng hỗn giao cây lá rộng và cây lá kim trung bình",
      "name_en": "Medium secondary mixed broadleaved and coniferous forest on soil mountain",
      "hex": "#FFA0D0",
      "tt33_codes": [
        "RKB"
      ]
    },
    {
      "text_code": "RKN",
      "num_code": 21,
      "name_vi": "Rừng hỗn giao cây lá rộng và cây lá kim nghèo",
      "name_en": "Poor secondary mixed broadleaved and coniferous forest on soil mountain",
      "hex": "#FFA0D0",
      "tt33_codes": [
        "RKN"
      ]
    },
    {
      "text_code": "RKK",
      "num_code": 22,
      "name_vi": "Rừng hỗn giao cây lá rộng và cây lá kim nghèo kiệt",
      "name_en": "Very poor secondary mixed broadleaved and coniferous forest on soil mountain",
      "hex": "#FFA0D0",
      "tt33_codes": [
        "RKK"
      ]
    },
    {
      "text_code": "RKP",
      "num_code": 23,
      "name_vi": "Rừng hỗn giao cây lá rộng và cây lá kim chưa có trữ lượng",
      "name_en": "Rehabilitation secondary mixed broadleaved and coniferous forest on soil mountain",
      "hex": "#FFA0D0",
      "tt33_codes": [
        "RKP"
      ]
    },
    {
      "text_code": "TXDG",
      "num_code": 24,
      "name_vi": "Rừng núi đá giàu",
      "name_en": "Rich secondary evergreen broadleaved forest on rocky mountain",
      "hex": "#00D068",
      "tt33_codes": [
        "TXDG"
      ]
    },
    {
      "text_code": "TXDB",
      "num_code": 25,
      "name_vi": "Rừng núi đá trung bình",
      "name_en": "Medium secondary evergreen broadleaved forest on rocky mountain",
      "hex": "#00FF80",
      "tt33_codes": [
        "TXDB"
      ]
    },
    {
      "text_code": "TXDN",
      "num_code": 26,
      "name_vi": "Rừng núi đá nghèo",
      "name_en": "Poor secondary evergreen broadleaved forest on rocky mountain",
      "hex": "#60FFB0",
      "tt33_codes": [
        "TXDN"
      ]
    },
    {
      "text_code": "TXDK",
      "num_code": 27,
      "name_vi": "Rừng núi đá nghèo kiệt",
      "name_en": "Very poor secondary evergreen broadleaved forest on rocky mountain",
      "hex": "#A0FFD0",
      "tt33_codes": [
        "TXDK"
      ]
    },
    {
      "text_code": "TXDP",
      "num_code": 28,
      "name_vi": "Rừng núi đá chưa có trữ lượng",
      "name_en": "Rehabilitation secondary evergreen broadleaved forest on rocky mountain",
      "hex": "#D0FFE8",
      "tt33_codes": [
        "TXDP"
      ]
    },
    {
      "text_code": "RNM",
      "num_code": 29,
      "name_vi": "Rừng ngập mặn",
      "name_en": "Mangrove forest on saline wetland",
      "hex": "#7070FF",
      "tt33_codes": [
        "NMG",
        "NMB",
        "NMN",
        "NMP"
      ]
    },
    {
      "text_code": "RNP",
      "num_code": 30,
      "name_vi": "Rừng ngập phèn",
      "name_en": "Forest on alkaline wetland",
      "hex": "#A850FF",
      "tt33_codes": [
        "NPG",
        "NPB",
        "NPN",
        "NPP"
      ]
    },
    {
      "text_code": "RNN",
      "num_code": 31,
      "name_vi": "Rừng ngập nước ngọt",
      "name_en": "Agricultural crop on soil mountain",
      "hex": "#FFFF90",
      "tt33_codes": [
        "NN"
      ]
    },
    {
      "text_code": "RTNC",
      "num_code": 32,
      "name_vi": "Rừng trên cát",
      "name_en": "Forest on sand",
      "hex": "#C8B060",
      "tt33_codes": []
    },
    {
      "text_code": "TN",
      "num_code": 33,
      "name_vi": "Rừng tre, nứa núi đất",
      "name_en": "Dendrocalamus bamboo forest on soil mountain",
      "hex": "#D0E0FF",
      "tt33_codes": [
        "TLU",
        "NUA",
        "VAU",
        "LOO",
        "TNK"
      ]
    },
    {
      "text_code": "TND",
      "num_code": 34,
      "name_vi": "Rừng tre nứa núi đá",
      "name_en": "Other bamboo forest on rocky mountain",
      "hex": "#D0E0FF",
      "tt33_codes": [
        "TND"
      ]
    },
    {
      "text_code": "HG",
      "num_code": 35,
      "name_vi": "Rừng hỗn giao gỗ và tre nứa núi đất",
      "name_en": "Mixed wood-bamboo forest on soil mountain (mainly wood)",
      "hex": "#FFD0FF",
      "tt33_codes": [
        "HG1",
        "HG2"
      ]
    },
    {
      "text_code": "HGD",
      "num_code": 36,
      "name_vi": "Rừng hỗn giao núi đá",
      "name_en": "Mixed wood-bamboo forest on rocky mountain",
      "hex": "#FFD0FF",
      "tt33_codes": [
        "HGD"
      ]
    },
    {
      "text_code": "CD",
      "num_code": 37,
      "name_vi": "Rừng cau dừa núi đất",
      "name_en": "Palm and coconut tree forest on soil mountain",
      "hex": "#C0C0FF",
      "tt33_codes": [
        "CD"
      ]
    },
    {
      "text_code": "CDD",
      "num_code": 38,
      "name_vi": "Rừng cau dừa núi đá",
      "name_en": "Palm and coconut tree forest on rocky mountain",
      "hex": "#C0C0FF",
      "tt33_codes": [
        "CDD"
      ]
    },
    {
      "text_code": "CDN",
      "num_code": 39,
      "name_vi": "Rừng cau dừa ngập nước",
      "name_en": "Palm and coconut tree forest on freshwater wetland",
      "hex": "#C0C0FF",
      "tt33_codes": [
        "CDN"
      ]
    },
    {
      "text_code": "CDC",
      "num_code": 40,
      "name_vi": "Rừng cau dừa trên cát",
      "name_en": "Rehabilitation natural palm/coconut forest",
      "hex": "#B0A0D0",
      "tt33_codes": []
    },
    {
      "text_code": "TG",
      "num_code": 41,
      "name_vi": "Rừng gỗ trồng núi đất",
      "name_en": "Plantation on soil mountain",
      "hex": "#FFD8B0",
      "tt33_codes": [
        "RTG",
        "RTK"
      ]
    },
    {
      "text_code": "TGD",
      "num_code": 42,
      "name_vi": "Rừng gỗ trồng núi đá",
      "name_en": "Plantation on rocky mountain",
      "hex": "#FFC080",
      "tt33_codes": [
        "RTGD",
        "RTKD"
      ]
    },
    {
      "text_code": "TGNN",
      "num_code": 43,
      "name_vi": "Rừng gỗ trồng ngọt",
      "name_en": "Timber plantation on freshwater wetland",
      "hex": "#808080",
      "tt33_codes": []
    },
    {
      "text_code": "TGNM",
      "num_code": 44,
      "name_vi": "Rừng gỗ trồng ngập mặn",
      "name_en": "Plantation on saline wetland",
      "hex": "#FFC080",
      "tt33_codes": [
        "RTM"
      ]
    },
    {
      "text_code": "TGNP",
      "num_code": 45,
      "name_vi": "Rừng gỗ trồng ngập phèn",
      "name_en": "Plantation on alkaline wetland",
      "hex": "#FFC080",
      "tt33_codes": [
        "RTP"
      ]
    },
    {
      "text_code": "TGC",
      "num_code": 46,
      "name_vi": "Rừng gỗ trồng đất cát",
      "name_en": "Plantation on sandy soil",
      "hex": "#FFC080",
      "tt33_codes": [
        "RTC"
      ]
    },
    {
      "text_code": "TTN",
      "num_code": 47,
      "name_vi": "Rừng tre nứa trồng núi đất",
      "name_en": "Bamboo plantation on soil mountain",
      "hex": "#FFC080",
      "tt33_codes": [
        "RTTN"
      ]
    },
    {
      "text_code": "TTND",
      "num_code": 48,
      "name_vi": "Rừng tre nứa trồng núi đá",
      "name_en": "Bamboo plantation on rocky mountain",
      "hex": "#FFC080",
      "tt33_codes": [
        "RTTND"
      ]
    },
    {
      "text_code": "TCD",
      "num_code": 49,
      "name_vi": "Rừng cau dừa núi đất",
      "name_en": "Palm and coconut tree plantation on soil mountain",
      "hex": "#FFC080",
      "tt33_codes": [
        "RTCD"
      ]
    },
    {
      "text_code": "TCDD",
      "num_code": 50,
      "name_vi": "Rừng cau dừa núi đá",
      "name_en": "Medium planted palm/coconut forest",
      "hex": "#808080",
      "tt33_codes": []
    },
    {
      "text_code": "TCDN",
      "num_code": 51,
      "name_vi": "Rừng cau dừa ngập nước",
      "name_en": "Palm and coconut tree plantation on freshwater wetland",
      "hex": "#FFD8B0",
      "tt33_codes": [
        "RTCDN"
      ]
    },
    {
      "text_code": "TCDC",
      "num_code": 52,
      "name_vi": "Rừng cau dừa trên cát",
      "name_en": "Palm and coconut tree plantation on sandy soil",
      "hex": "#FFC080",
      "tt33_codes": [
        "RTCDC"
      ]
    },
    {
      "text_code": "DTR",
      "num_code": 53,
      "name_vi": "Diện tích đã trồng cây rừng nhưng chưa đạt các tiêu chí thành rừng",
      "name_en": "New plantation on soil mountain",
      "hex": "#FFE8D0",
      "tt33_codes": [
        "DTR",
        "DTRD",
        "DTRM",
        "DTRP",
        "DTRN",
        "DTRC"
      ]
    },
    {
      "text_code": "DTTS",
      "num_code": 54,
      "name_vi": "Diện tích có cây tái sinh",
      "name_en": "Regeneration on soil mountain",
      "hex": "#006000",
      "tt33_codes": [
        "DT2",
        "DT2D",
        "DT2M",
        "DT2P"
      ],
      "pattern": {
        "type": "point",
        "bg": "#FFFFFF",
        "marker": "#006000",
        "shape": "triangle",
        "dist": 4.0,
        "size": 1.5
      }
    },
    {
      "text_code": "DTK",
      "num_code": 55,
      "name_vi": "Diện tích khác",
      "name_en": "Open land on soil mountain",
      "hex": "#00FF00",
      "tt33_codes": [
        "DT1",
        "DT1D",
        "DT1M",
        "DT1P",
        "BC1",
        "BC2",
        "DNN",
        "NND",
        "NNM",
        "NNP",
        "MN",
        "DKH"
      ],
      "pattern": {
        "type": "point",
        "bg": "#FFFFFF",
        "marker": "#00FF00",
        "shape": "circle",
        "dist": 3.0,
        "size": 1.0
      }
    }
  ]
}